Summary:	Sensor plugin for the Xfce panel
Name:		xfce4-sensors-plugin
Version:	0.10.99.6
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-sensors-plugin/%{name}-%{version}.tar.bz2
Patch0:		xfce4-sensors-plugin-0.10.99.6-fix-underlinking.patch
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfcegui4-devel >= 4.4.2
BuildRequires:	lm_sensors-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	libnotify-devel
Requires:	xfce4-panel >= 4.4.2
Requires:	lm_sensors > 3
Obsoletes:	xfce-sensors-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A Xfce panel plugin which reads your hardware sensor 
values and displays them in your panel.

%prep
%setup -q
%patch0 -p1

%build
%define _disable_ld_no_undefined 1
# (tpg) for patch0
NOCONFIGURE=1 xdt-autogen

%configure2_5x \
	--disable-static \
	--enable-hddtemp=yes \
	--enable-libsensors=yes \
	--enable-procacpi \
	--enable-sysfsacpi

%make

%install
rm -rf %{buildroot}
%makeinstall_std 

rm -rf %{buildroot}%{_libdir}/pkgconfig/libxfce4sensors-1.0.pc

%find_lang %{name}

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/xfce4-sensors
%{_libdir}/xfce4/modules/*
%{_libdir}/xfce4/panel-plugins/xfce4-sensors-plugin
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/apps/*.*g
%{_datadir}/applications/xfce4-sensors.desktop


%changelog
* Mon Sep 21 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.10.99.6-3mdv2010.0
+ Revision: 446130
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.99.6-2mdv2009.1
+ Revision: 349477
- rebuild for xfce-4.6.0

* Mon Feb 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.99.6-1mdv2009.1
+ Revision: 336301
- Patch0: fix partially underlinking
- use _disable_ld_no_undefined
- update to new version 0.10.99.6
- add buildrequires on libnotify-devel
- use %%define _disable_ld_no_undefined 1

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.99.3-5mdv2009.1
+ Revision: 295011
- rebuild for new Xfce4.6 beta1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10.99.3-3mdv2009.0
+ Revision: 256937
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.99.2-3mdv2008.1
+ Revision: 110136
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING and INSTALL files
- use upstream name

* Wed Nov 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.99.2-2mdv2008.1
+ Revision: 106768
- do not explicitly set configure options, which results in disabled sensor support

* Sun Nov 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.99.2-1mdv2008.1
+ Revision: 105881
- drop patch 0 (fixed upstream)
- new release candidate

* Sun Oct 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.99-1mdv2008.1
+ Revision: 100927
- drop patch 0
- add patch 1 which fixes compiling
- disable static files compilie
- new version (0.11.0-rc1)
- add %%post and %%postun scripts

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.0-2mdv2008.0
+ Revision: 30478
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.0-1mdv2008.0
+ Revision: 30254
- new version

